#! /bin/sh

# Shell script for starting MiToBo on Linux #
#############################################

## set this variable to the directory where you unpacked the Mi_To_Bo.zip
MITOBO_HOME=

if [ -z "$MITOBO_HOME" ] ; then
	## assume current working directory
	MITOBO_HOME=$PWD
fi

## determine machine type and set LD_LIBRARY_PATH
LD=
if [ -z "$LD" ] ; then
	ARCH=`uname -m`
	case "$ARCH" in
		i686)	LD=$MITOBO_HOME/lib/lib32
			break
			;;
		x86_64)	LD=$MITOBO_HOME/lib/lib64
			break
			;;
		*)	echo "can not determine processor architecture: $ARCH"
			;;
	esac
fi

if [ -z "$LD_LIBRARY_PATH" ] ; then
        LD_LIBRARY_PATH=/usr/lib:$LD
else
	LD_LIBRARY_PATH="$LD_LIBRARY_PATH:$LD"
fi

export LD_LIBRARY_PATH

# Ok, let's start MiToBo!
java -jar plugins/jars/ij.jar -ijpath $MITOBO_HOME
